#include <bits/stdc++.h>

using namespace std;

int main()
{
    string gas, plin;
    int mrki_ugalj = 0;
    cin >> gas >> plin;
    if(plin == "a")
    {
        for(int i = 0; i < gas.size(); i++)
        {
            if(gas[i] == 'a')
            {
                gas[i] = '*';
                mrki_ugalj++;
            }
        }
    }
    else if(plin == "ab")
    {
        bool na = false;
        bool nb = false;
        int a = 0;
        int b = 0;
        for(int i = 0; i < gas.size(); i++)
        {
           if(gas[i] == 'a')
           {
                na = true;
           }
           else if(gas[i] == 'b')
           {
               if(na)b++;
           }
        }
        for(int i = gas.size()-1; i >= 0; i--)
        {
           if(gas[i] == 'b')
           {
               nb = true;
           }
           else if(gas[i] == 'a')
           {
               if(nb) a++;
           }
        }
        na = false;
        if(a < b)
        {
            for(int i = 0; i < gas.size(); i++)
            {
                if(gas[i] == 'a' && a > 0)
                {
                    gas[i] = '*';
                    a--;
                }
            }
        }
        else
        {
            for(int i = 0; i < gas.size(); i++)
            {
                if(gas[i] == 'b' && na) gas[i] = '*';
                if(gas[i] == 'a') na = true;
            }
        }
        mrki_ugalj = min(a, b);
    }
    bool rafinerijski_gas = true;
    for(int i = 0; i < plin.size(); i++)
    {
        if(plin[i] != 'a') rafinerijski_gas = false;
    }
    if(rafinerijski_gas)
    {
        int a = 0;
        for(int i = 0; i < gas.size(); i++)
        {
            if(gas[i] == 'a')
            {
                a++;
            }
            if(a == plin.size())
            {
                gas[i] = '*';
                a = 0;
                mrki_ugalj++;
            }
        }
    }
    cout << mrki_ugalj << "\n";
    cout << gas;
    return 0;
}